:root {
    --main-color: rgb(255, 48, 91);
    --sec-color: rgb(54, 54, 54);
    --th-color: rgb(234, 234, 252);
    --main-size: 4rem;
}

*,
*::after,
*::before {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style: none;
    text-decoration: none;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    color: white;
}

nav {
    display: flex;
    justify-content: space-around;
    font-size: 1.7rem;
    text-transform: capitalize;
    align-items: center;
    background-color: transparent;
    position: fixed;
    z-index: 1;
    width: 100vw;
    height: 6rem;
    transition: 0.6s;
    animation: nav;
    animation-timeline: scroll(y);
}

@keyframes nav {
    to {
        background-color: var(--sec-color);
    }
}

.logo {
    width: 40%;
    font-size: 2.8rem;
    color: var(--main-color);
    margin-left: 3rem;
    font-weight: 900;
}

nav ul {
    display: flex;
    gap: 2.6rem;
}

nav ul li a {
    color: white;
    transition: 0.7s;
}

nav ul li a:hover,
ul li .active,
main ul li .active,
.dropdown .active {
    color: var(--main-color);
}

header img {
    width: 100%;
    filter: brightness(25%);
    background-size: cover;
}

header {
    position: relative;
}

header .text {
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 4rem;
}

.textj {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 2.4rem;
    font-weight: 100;
}

header .text p:first-child {
    margin-left: 10rem;
    font-size: 2.3rem;
    font-weight: 500;
}

header h1 {
    font-size: 6rem;
    font-weight: bolder;
    text-transform: uppercase;
    color: var(--main-color);
}

section {
    display: flex;
}

section .imgcon {
    background-color: rgb(255, 255, 255);
    height: 45rem;
    width: 36rem;
    border: 8px solid rgb(100, 104, 104);
    border-radius: 7px;
    margin-left: 17rem;
    margin-top: 4rem;
    z-index: 0;
    position: relative;
}

section {
    display: flex;
    gap: 7rem;
}

section img {
    transition: 0.9s;
    display: block;
}

section .image {
    position: relative;
    z-index: 1;
    left: 2rem;
    top: 1.8rem;
    height: 100%;
    width: 100%;
}

section .overlay {
    bottom: -1.8rem;
    background: rgba(0, 0, 0, 0.5);
    position: absolute;
    width: 100%;
    transition: 0.7s ease;
    text-align: center;
    place-content: center;
    z-index: 2;
    color: white;
    height: 0%;
    opacity: 0;
    left: 2rem;
}

section .imgcon:hover .overlay {
    opacity: 1;
    height: 100%;
}

.textc {
    color: rgb(54, 54, 54);
    width: 45%;
    margin-top: 4rem;
    font-size: 1.8rem;
}

section .fl {
    font-size: 2.5rem;
    font-weight: 700;
    letter-spacing: 2px;
}

section .fl::first-letter {
    color: var(--main-color);
}

section ul li {
    display: inline;
}

section table tr td {
    border: 1rem solid rgb(255, 255, 255);
}

section button,
.contact button {
    height: 5rem;
    width: 16rem;
    padding: 1rem;
    border-radius: 5px;
    background-color: var(--main-color);
    border: none;
    color: white;
    font-size: 1.8rem;
    margin-right: 1.6rem;
    transition: 0.4s;
}

section button:hover,
.contact button:hover {
    background-color: hsl(14, 100%, 50%);
}

aside {
    width: 100%;
    height: 50rem;
    background-color: var(--th-color);
    position: relative;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.main {
    font-size: var(--main-size);
    color: var(--sec-color);
    font-weight: 900;
    height: 15rem;
    top: 5vh;
    right: 45vw;
    position: absolute;
}

h2.underline::after {
    content: "";
    position: absolute;
    width: 70%;
    height: 1px;
    background-color: var(--main-color);
    top: 6rem;
    left: 50%;
    transform: translateX(-50%);
}

h2.underline::before {
    content: "";
    position: absolute;
    width: 25%;
    height: 1px;
    background-color: var(--main-color);
    top: 7rem;
    left: 50%;
    transform: translateX(-50%);
}

.services {
    display: flex;
    gap: 20px;
}

aside svg {
    transition: 0.6s;
}

.service-card {
    background-color: transparent;
    border: transparent;
    border-radius: 8px;
    padding: 20px;
    text-align: center;
    width: 250px;
    transition: 0.6s;
}

.service-card .icon {
    font-size: 40px;
    color: var(--main-color);
    margin-bottom: 10px;
}

.service-card h3 {
    font-size: 18px;
    margin: 10px 0;
    color: var(--sec-color);
}

.service-card p {
    font-size: 14px;
    color: var(--sec-color);
}

.service-card:hover {
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    background-color: white;
}

.service-card:hover svg {
    transform: scale(1.15);
}

main {
    color: #0e0c09;
    position: relative;
    height: 30rem;
}

.anchors ul {
    display: flex;
    font-size: 25px;
    gap: 20px;
    left: 34%;
    position: absolute;
    top: 50%;
}

.anchors a {
    color: var(--sec-color);
    text-transform: uppercase;
    font-size: 1.8rem;
}

main table {
    width: 85%;
    height: 50rem;
    left: 8%;
    position: absolute;
    top: 80%;
}

main table tr td {
    border: 5px solid rgb(255, 255, 255);
}

main table img {
    height: 100%;
    width: 100%;
    transition: 0.8s;
    position: relative;
}

main svg {
    height: 2rem;
    width: 2rem;
    position: absolute;
    bottom: 1rem;
    right: 1rem;
    fill: hsl(327, 100%, 50%);
}

main table tr td :hover svg {
    display: block;
}

main table span svg {
    display: none;
}

main table tr td :hover {
    filter: brightness(70%);
}

.count svg {
    height: 5rem;
    width: 5rem;
}

.count {
    width: 100%;
    margin-top: 60rem;
    background-color: var(--th-color);
    padding-bottom: 2rem;
}

.countcontent p {
    font-size: 1.7rem;
}

.countcontent {
    display: flex;
    width: 80%;
    padding-top: 3rem;
    font-size: 3rem;
    color: var(--sec-color);
    justify-content: space-around;
    margin-left: 10rem;
    text-align: center;
    line-height: 1.6;
}

article {
    height: 55rem;
    position: relative;
    color: rgb(85, 85, 85);
    line-height: 1.6;
}

.info1 {
    background-color: #ff3366;
    width: 50%;
    height: 20vw;
    position: relative;
    top: 13rem;
    margin-left: 28rem;
    border-radius: 1rem;
}

.info2 {
    width: 50%;
    height: 9vw;
    position: absolute;
    top: 13rem;
    margin-left: 28rem;
    margin-top: 1.4rem;
    border-bottom: 27.5rem solid rgb(255, 241, 250);
    border-left: 200px solid transparent;
    border-right: 50px solid rgb(255, 241, 250);
}

article .image {
    border-radius: 50%;
    width: 11rem;
    height: 11rem;
    position: absolute;
    left: 33rem;
    top: 20rem;
}

article svg {
    width: 1.7rem;
    height: 1.7rem;
}

article .text {
    position: absolute;
    margin-left: 45rem;
    top: 20rem;
    font-size: 1.7em;
    width: 40rem;
}

article p:nth-of-type(1) {
    font-weight: bold;
    color: #747474;
}

article p:nth-of-type(2) {
    font-style: italic;
}

article h2 {
    color: rgb(51, 51, 51);
}

article .text span {
    color: #ffd700;
    font-size: larger;
}

details {
    background-color: var(--th-color);
    position: relative;
    height: 30rem;
    color: #0e0c09;
}

figure {
    background-color: var(--th-color);
    height: 70rem;
    width: 100%;
    position: relative;
}

.cards {
    display: flex;
    justify-content: center;
    gap: 4rem;
}

figure .cards div {
    width: 27vw;
    height: 45rem;
    margin-top: 14rem;
    background-color: rgb(255, 255, 255);
}

.cards div img {
    width: 100%;
    height: 50%;
}

.cards .text {
    color: var(--sec-color);
    font-size: 1.6rem;
    padding-left: 10px;
}

.cards a {
    color: var(--sec-color);
    transition: 0.7s;
}

.cards a:hover {
    color: var(--main-color);
}

.cards p {
    line-height: 1.7;
}

figure a {
    text-transform: capitalize;
}

figure .text h2,
figure .text p {
    padding: 0 1rem;
}

.caption {
    height: 14rem;
    width: 100%;
    position: relative;
    background-color: rgb(255, 255, 255);
}

.contact {
    width: 70%;
    height: 35rem;
    margin: 0 25rem;
    color: #0e0c09;
}

.name,
.email {
    outline: none;
    border: 1px solid rgb(190, 190, 190);
    height: 4rem;
    width: 40%;
    border-radius: 7px;
    padding: 1rem;
}

.subject {
    height: 4rem;
    width: 75rem;
    outline: none;
    border: 1px solid rgb(190, 190, 190);
    border-radius: 7px;
    padding: 1rem;
}

textarea {
    outline: none;
    border: 1px solid rgb(190, 190, 190);
    border-radius: 7px;
    padding: 1rem;
}

.contact button {
    font-size: 1.4rem;
    height: 4rem;
    width: 14rem;
}

footer {
    background-color: #42413f;
    width: 100%;
    height: 15rem;
}

footer svg,
section svg {
    height: 1.7rem;
    width: 1.7rem;
}

.foot {
    text-align: center;
    padding-top: 5rem;
    font-size: 1.7rem;
}

.foot ul,
section ul {
    display: flex;
    justify-content: center;
    gap: 3.5rem;
}

.foot p a {
    color: var(--main-color);
}

footer svg,
section svg {
    fill: white;
}

footer svg:hover,
section svg:hover {
    fill: var(--main-color);
}

.sidebar svg :hover ul {
    display: block;
}

@media screen and (max-width: 767px) {
    nav svg {
        display: block;
        fill: white;
        width: 2rem;
        height: 2em;
    }
    nav ul {
        display: none;
    }
    nav {
        width: 100%;
    }
    header {
        background-position: center;
        background-size: cover;
    }
    .dropbtn {
        background-color: transparent;
        color: white;
        padding: 16px;
        font-size: 16px;
        border: none;
        cursor: pointer;
    }
    .dropdown {
        position: relative;
        display: inline-block;
        margin-left: 0;
    }
    .dropdown-content {
        display: none;
        position: absolute;
        width: 70vw;
        overflow: auto;
        box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
        backdrop-filter: blur(10px);
        background-color: var(--sec-color);
        z-index: 99999;
        right: 1rem;
        text-align: center;
    }
    .show {
        display: block;
    }
    .dropdown-content a {
        color: rgb(255, 255, 255);
        padding: 12px 16px;
        text-decoration: none;
        display: block;
    }
    .dropdown a:hover {
        color: var(--main-color);
    }
    header img {
        height: 100vh;
        margin-bottom: 4rem;
        width: 100%;
    }
    header h1,
    header .textj {
        font-size: 2.3rem;
        text-align: center;
        margin: auto;
        width: 100vw;
        font-weight: bold;
    }
    header .text p:first-child {
        font-size: 2rem;
        margin-left: 0;
        text-align: center;
        font-weight: bold;
    }
    section {
        display: flex;
        flex-direction: column;
    }
    section .textc {
        margin: auto;
        width: 40rem;
    }
    section .imgcon {
        margin: auto;
        padding-left: 0;
    }
    aside {
        height: fit-content;
    }
    aside .services {
        display: flex;
        flex-direction: column;
        margin-top: 11rem;
    }
    h2.underline::after {
        margin-left: 0rem;
        width: 55%;
    }
    h2.underline::before {
        margin-left: 0rem;
        margin-right: 3rem;
    }
    h2.underline {
        left: 3vw;
        margin-right: 0;
        width: 100%;
    }
    .main {
        text-align: center;
    }
    .anchors ul {
        left: 7rem;
    }
    main table {
        display: flex;
        flex-direction: column;
    }
    .countcontent {
        flex-direction: column;
        margin: auto;
    }
    figure {
        height: fit-content;
        padding-bottom: 5rem;
    }
    .info1 {
        height: 27.2rem;
        width: 30rem;
        margin-left: 3rem;
    }
    .info2 {
        height: 27.2rem;
        margin-left: 3rem;
        width: 48.1rem;
    }
    article .text {
        margin-left: 20rem;
        font-size: 1.4rem;
        width: 25rem;
    }
    article .image {
        position: absolute;
        left: 5rem;
        top: 22rem;
    }
    .cards {
        flex-direction: column;
    }
    figure .cards div {
        width: 90vw;
        margin: 13rem auto 0 auto;
        height: fit-content;
    }
    .contact {
        margin: auto;
        display: flex;
        flex-direction: column;
        padding-bottom: 5rem;
        height: fit-content;
    }
    .name {
        margin-bottom: 3rem;
    }
    input[type] {
        width: 100%;
    }
}

@media screen and (min-width: 768px) {
    nav svg {
        display: none;
    }
    .dropdown {
        display: none;
    }
}